> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maia.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List All Agents

> Lists All Agents, including summary details for each Agent



## OpenAPI

````yaml /openapi/public-api-endpoint-reference.yaml get /v1/agents
openapi: 3.1.0
info:
  title: Maia Public REST API
  version: '1.0'
servers:
  - description: EU1
    url: https://eu1.api.matillion.com/dpc
  - description: US1
    url: https://us1.api.matillion.com/dpc
security:
  - bearerAuth: []
tags:
  - description: Manage Schedules
    name: Schedules
  - description: Manage Connections
    name: Connections
  - description: Operations for managing Project Variables
    name: Project Variables
  - description: Manage Pipelines
    name: Pipelines
  - description: Review pipelines against quality rules
    name: Pipeline Quality Review
  - description: Execute tests within a project
    name: Test Execution
  - description: Manage your AI agent tasks
    name: AI Agent Tasks
  - description: SCIM endpoints for user/group permission management
    name: Directory Integration
  - description: Publish shared pipeline artifacts
    name: Shared Pipeline Artifacts
  - description: Manage Repositories
    name: Repositories
  - description: Report on Credit Consumption
    name: Consumption
  - description: Manage Artifacts
    name: Artifacts
  - description: Operations for data lineage and governance
    name: Data Lineage
  - description: Manage Streaming Pipelines
    name: Streaming Pipelines
  - description: Execute a pipeline
    name: Pipeline Execution
  - description: ''
    name: Environments
  - description: ''
    name: Projects
  - description: Manage Agents
    name: Agents
  - description: Operations for managing Environment-level Overrides of Project Variables
    name: Project Variable Environment Overrides
  - description: Query audit events
    name: Audit Events
  - description: Connector Profiles
    name: Connectors
paths:
  /v1/agents:
    get:
      tags:
        - Agents
      summary: List All Agents
      description: Lists All Agents, including summary details for each Agent
      operationId: getAgents
      parameters:
        - description: Page number (0-indexed)
          example: '0'
          in: query
          name: page
          schema: {}
        - description: Number of records per page (from 1 to 100)
          example: '25'
          in: query
          name: size
          schema: {}
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PagedResultListAgentSummary'
          description: Success
        '400':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/bad-request
                  title: Bad Request
                  status: 400
                  detail: Failed to read request. Please check your request body.
                  instance: /v1/agents
          description: Wrong request parameters used
        '403':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/forbidden
                  title: Forbidden
                  status: 403
                  detail: You do not have permission to access this resource.
                  instance: /v1/agents
          description: Forbidden
        '404':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/not-found
                  title: Not Found
                  status: 404
                  detail: The requested agent does not exist.
                  instance: /v1/agents
          description: Agents not found
        '500':
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetail'
                example:
                  type: https://api.matillion.com/problems/internal-server-error
                  title: Internal Server Error
                  status: 500
                  detail: Unexpected error occurred while processing the request.
                  instance: /v1/agents
          description: Unexpected error occurred
components:
  schemas:
    PagedResultListAgentSummary:
      type: object
      properties:
        page:
          type: integer
          format: int32
          description: The 0-indexed page number of the returned results.
          example: 1
        results:
          type: array
          description: Page of results or empty.
          items:
            $ref: '#/components/schemas/AgentSummary'
        size:
          type: integer
          format: int32
          description: The size of each page of results.
          example: 50
        total:
          type: integer
          format: int64
          description: Total number of available results across all pages.
          example: 472
    ProblemDetail:
      type: object
      properties:
        detail:
          type: string
        instance:
          type: string
        status:
          type: integer
          format: int32
        title:
          type: string
        type:
          type: string
          format: uri
        violations:
          type: array
          items:
            type: string
    AgentSummary:
      type: object
      properties:
        agentId:
          type: string
          description: The ID of the Agent
          example: 3fa85f64-5717-4562-b3fc-2c963f66afa6
        agentStatus:
          type: string
          description: The reported status of the Agent
          example: running
        agentType:
          type: string
          description: The type of Agent
          example: data_productivity_cloud
        cloudProvider:
          type: string
          description: The cloud provider the Agent is hosted in
          example: aws
        connected:
          type: boolean
          description: Whether the Agent is connected
          example: true
        deployment:
          type: string
          description: The deployment type of the Agent
          example: fargate
        description:
          type: string
          description: The description set for the Agent
          example: An AWS Agent
        name:
          type: string
          description: The name of the Agent
          example: AWS Agent
        pausedUntil:
          type: string
          description: >-
            The date and time the Agent will be unpaused automatically. Only
            returned if the Agent is currently paused
          example: '2025-01-01T00:00:00.000Z'
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: a valid bearer token
      scheme: bearer
      type: http

````